Bug 1404089 (CVE-2016-9898)

Summary: CVE-2016-9898 Mozilla: Use-after-free in Editor while manipulating DOM subtrees (MFSA 2016-94, MFSA 2016-95)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-19 04:47:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1403856    

Description Huzaifa S. Sidhpurwala 2016-12-13 03:07:54 UTC
Use-after-free resulting in potentially exploitable crash when manipulating DOM subtrees in the Editor.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-95/#CVE-2016-9898


Acknowledgements:

Name: the Mozilla project
Upstream: Nils

Comment 1 errata-xmlrpc 2016-12-14 10:02:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:2946 https://rhn.redhat.com/errata/RHSA-2016-2946.html